from django.db import models
from django import forms


# Create your models here.

# Create your models here.

class Author(models.Model):
    """Info about blog authors."""

    name=models.CharField(max_length=40)

    def __unicode__(self):
        return self.name


class Blog(models.Model):
    """The blog store object."""

    author = models.ForeignKey(Author)
    title = models.CharField(max_length=80)
    text = models.TextField(max_length=500)

    def __unicode__(self):
        return "%s\nBy %s\n\n%s" % (self.title, self.author.name, self.text)

class AuthorForm(forms.ModelForm):
    name=forms.CharField(max_length=40)

    class Meta:
        model = Author


class BlogForm(forms.ModelForm):
    author=forms.ModelChoiceField(queryset=Author.objects.all(),empty_label=None)
    title = models.CharField(max_length=80)
    text = models.TextField(max_length=500)

    class Meta:
        model = Blog



    
