# Create your views here.
from django.shortcuts import render_to_response
import pdb
from models import *
from django.template import RequestContext
from django.http import HttpResponseRedirect

def add_author(request):
    """Add author interface."""
    if request.method=="GET":
        context={'form': AuthorForm()}
        return render_to_response("add_author.html",context,context_instance=RequestContext(request))
    elif request.method=="POST":
        form = AuthorForm(request.POST)
        if form.is_valid():
            auth = form.save()
            return HttpResponseRedirect('/authors')

def authors(request):
    """List author info."""
    context = {}
    context['authors']=Author.objects.all()
    return render_to_response("authors.html",context, context_instance=RequestContext(request))

def add_blog(request):
    """Add a blog entry."""
    if request.method=="GET":
        context={'form':BlogForm()}
        return render_to_response("add_blog.html",context,context_instance=RequestContext(request))
    elif request.method=="POST":
        form = BlogForm(request.POST)
        if form.is_valid():
            blog = form.save()
            return HttpResponseRedirect('/blog_index')


def blog_index(request):
    """Show all blogs available."""
    context = {}
    context['blogs']=Blog.objects.all()
    return render_to_response('blog_index.html',context,context_instance=RequestContext(request))

def display_blog(request,id):
    """Post a blog for reading."""
    context = {}
    context['blog']=Blog.objects.get(id=id)
    return render_to_response('display_blog.html',context,context_instance=RequestContext(request))
